Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1344642 - hammer host puppet-classes --host and hammer host puppet-classes --host-id produce totally different output
Summary: hammer host puppet-classes --host and hammer host puppet-classes --host-id...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.1.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-10 08:49 UTC by Ade Bradshaw
Modified: 2019-09-26 14:01 UTC (History)
5 users (show)

Fixed In Version: 6.2.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 13:47:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ade Bradshaw 2016-06-10 08:49:04 UTC
Description of problem:
Trying to determine which puppet classes a host as assigned using hammer

hammer host puppet-classes --host <hostname>  and hammer host puppet-classes --host-id  <host-id> produce totally different output in 6.1.9

Version-Release number of selected component (if applicable):
6.1.9

How reproducible:
100%

Steps to Reproduce:
1. Hammer host list and chose a host
2. hammer host puppet-classes --host <hostname> 
3. puppet-classes --host-id  <host-id>
4. compare

Actual results:
Output is totally different

Expected results:
The results to be the same for both commands

Additional info:
Here is an example 

#hammer host list   (truncated)
...
106 | rep83-t-b3-01.lab.elga-core.at      | RedHat 7.1       | hg-elga/hg-elga-lab/hg-elga-lab-ith/hg-elga-lab-xds                          | 172.16.191.83  | 00:50:56:83:22:5d
...

# hammer host puppet-classes --host-id 106
---|-----
ID | NAME
---|-----
 
 
# hammer host puppet-classes --host rep83-t-b3-01.lab.elga-core.at
----|--------------------------------------
ID  | NAME
----|--------------------------------------
1   | access_insights_client
83  | auditd
121 | certificate_example
44  | checkmk
94  | customlimits
109 | customssh
37  | firewall
42  | firewall::linux
....  (it goes on to list many more)

https://paste.fedoraproject.org/376975/55466281/

Comment 3 Tomas Strachota 2017-05-10 09:37:37 UTC
Closing as VERIFIED based on Ranjan's comment.


Note You need to log in before you can comment on or make changes to this bug.